commit 02d1d4b6f9da8ab9ff8a30eb17d320b929491b06
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Sun Jun 10 14:25:07 2012 +0200

    passage en abuleduapplicationv1

diff --git a/.bzrignore b/.bzrignore
new file mode 100644
index 0000000..d9dca6b
--- /dev/null
+++ b/.bzrignore
@@ -0,0 +1,5 @@
+./lib/abuleduapplicationv1
+./lib/abuleduconstantesv1
+./lib/abuledunetworkaccessmanagerv1
+./lib/maia
+./lib/abuleduflatboutonv1
diff --git a/.bzrmeta/externals b/.bzrmeta/externals
new file mode 100644
index 0000000..72fc389
--- /dev/null
+++ b/.bzrmeta/externals
@@ -0,0 +1,5 @@
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1
+http://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1
diff --git a/.bzrmeta/externals-snapshot b/.bzrmeta/externals-snapshot
new file mode 100644
index 0000000..551d879
--- /dev/null
+++ b/.bzrmeta/externals-snapshot
@@ -0,0 +1,5 @@
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1 revid:eric.seigne@ryxeo.com-20120603084317-krddbref4bwog29m
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1 revid:philippe.cadaugade@ryxeo.com-20120525070920-in0y3ee6wuda72h0
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1 revid:eric.seigne@ryxeo.com-20120606170311-rbguv2goxpxwchc0
+http://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia revid:eric.seigne@ryxeo.com-20120513142114-x3ol4ti1rewgcnuo
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1 revid:frucot.jeanlouis@free.fr-20120530131621-fday0n3ofz4b9oha
\ No newline at end of file
diff --git a/assistant.ui b/assistant.ui
index 0547131..03ff2d4 100644
--- a/assistant.ui
+++ b/assistant.ui
@@ -11,7 +11,7 @@
    </rect>
   </property>
   <property name="windowTitle">
-   <string>Wizard</string>
+   <string>Assistant</string>
   </property>
   <widget class="QWizardPage" name="wizardPage1">
    <layout class="QGridLayout" name="gridLayout">
diff --git a/main.cpp b/main.cpp
index cd4a8c2..40dd34c 100644
--- a/main.cpp
+++ b/main.cpp
@@ -1,5 +1,4 @@
-/**
-  * Classe 
+/** Album Photo -- RyXéo SARL
   * @see https://redmine.ryxeo.com/projects/
   * @author 2012 Eric Seigne <eric.seigne@ryxeo.com>
   * @see The GNU Public License (GNU/GPL) v3
@@ -21,14 +20,16 @@
   */
 
 
-#include <QtGui/QApplication>
+#include "abuleduapplicationv1.h"
+#include "version.h"
 #include "original.h"
 
 int main(int argc, char *argv[])
 {
-    QApplication a(argc, argv);
+    AbulEduApplicationV1 a(argc, argv,VER_INTERNALNAME_STR, VER_PRODUCTVERSION_STR, VER_COMPANYDOMAIN_STR, VER_COMPANYNAME_STR);
+    a.setAbeApplicationLongName(QObject::trUtf8(VER_FILEDESCRIPTION_STR));
     original w;
     w.show();
-    
+
     return a.exec();
 }
diff --git a/ryxeo-webphotoalbum.pro b/ryxeo-webphotoalbum.pro
index dd75ec1..2ce6750 100644
--- a/ryxeo-webphotoalbum.pro
+++ b/ryxeo-webphotoalbum.pro
@@ -18,7 +18,8 @@ SOURCES += main.cpp\
 HEADERS  += original.h \
     assistant.h \
     tools.h \
-    newalbumdialog.h
+    newalbumdialog.h \
+    version.h
 
 FORMS    += original.ui \
     assistant.ui \
@@ -30,9 +31,16 @@ win32 {
     DEFINES      += __WINDOWS__=1
     INCLUDEPATH  += $$quote(C:/msys/1.0/local/include)
     LIBS         += $$quote(C:/msys/1.0/local/lib/libexiv2.dll.a)
+    OTHER_FILES += windows/windows.rc
+    RC_FILE = windows/windows.rc
 }
 
 RESOURCES += resources.qrc
 
+include(lib/abuleduapplicationv1/abuleduapplicationv1.pri)
+include(lib/abuleduconstantesv1/abuleduconstantesv1.pri)
+include(lib/abuledunetworkaccessmanagerv1/abuledunetworkaccessmanagerv1.pri)
+include(lib/maia/maia.pri)
+include(lib/abuleduflatboutonv1/abuleduflatboutonv1.pri)
 # la lib quazip: les fichiers sont des archives zip
 include(lib/quazip/quazip/quazip.pri)
diff --git a/version.h b/version.h
new file mode 100644
index 0000000..26e9e23
--- /dev/null
+++ b/version.h
@@ -0,0 +1,21 @@
+#ifndef VERSION_H
+#define VERSION_H
+
+#define VER_FILEVERSION             0,9,9,0
+#define VER_FILEVERSION_STR         "0.9.9\0"
+
+#define VER_PRODUCTVERSION          0,9,9,0
+#define VER_PRODUCTVERSION_STR      "0.9.9\0"
+
+#define VER_COMPANYNAME_STR         "RyXeo SARL"
+#define VER_FILEDESCRIPTION_STR     "RyXéo -- WebAlbumPhoto"
+#define VER_INTERNALNAME_STR        "ryxeo-webalbumphoto"
+#define VER_LEGALCOPYRIGHT_STR      "Copyright (c) 2012 RyXeo SARL"
+#define VER_LEGALTRADEMARKS1_STR    "All Rights Reserved"
+#define VER_LEGALTRADEMARKS2_STR    "License GNU/GPL v3"
+#define VER_ORIGINALFILENAME_STR    "ryxeo-webalbumphoto.exe"
+#define VER_PRODUCTNAME_STR         "RyXéo -- WebAlbumPhoto"
+
+#define VER_COMPANYDOMAIN_STR       "ryxeo.com"
+
+#endif // VERSION_H
diff --git a/windows/windows.rc b/windows/windows.rc
new file mode 100644
index 0000000..9eb264a
--- /dev/null
+++ b/windows/windows.rc
@@ -0,0 +1,31 @@
+IDI_ICON1               ICON    DISCARDABLE     "windows/leterrier-imageo.ico"
+
+#include <windows.h>
+#include "../version.h"
+
+VS_VERSION_INFO VERSIONINFO
+FILEVERSION     VER_FILEVERSION
+PRODUCTVERSION  VER_PRODUCTVERSION
+BEGIN
+    BLOCK "StringFileInfo"
+    BEGIN
+        BLOCK "040904E4"
+        BEGIN
+            VALUE "CompanyName",        VER_COMPANYNAME_STR
+            VALUE "FileDescription",    VER_FILEDESCRIPTION_STR
+            VALUE "FileVersion",        VER_FILEVERSION_STR
+            VALUE "InternalName",       VER_INTERNALNAME_STR
+            VALUE "LegalCopyright",     VER_LEGALCOPYRIGHT_STR
+            VALUE "LegalTrademarks1",   VER_LEGALTRADEMARKS1_STR
+            VALUE "LegalTrademarks2",   VER_LEGALTRADEMARKS2_STR
+            VALUE "OriginalFilename",   VER_ORIGINALFILENAME_STR
+            VALUE "ProductName",        VER_PRODUCTNAME_STR
+            VALUE "ProductVersion",     VER_PRODUCTVERSION_STR
+        END
+    END
+
+    BLOCK "VarFileInfo"
+    BEGIN
+        VALUE "Translation", 0x409, 1252
+    END
+END