commit af8e09aafa623186cd107783f3204b9d486c6d7b
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Mon Jul 5 17:51:52 2010 +0200

    modifications diverses (desole pour ce message de commit de m***)

diff --git a/htdocs/config/config_db.php b/htdocs/config/config_db.php
index adab841..93b6574 100644
--- a/htdocs/config/config_db.php
+++ b/htdocs/config/config_db.php
@@ -1,8 +1,8 @@
 <?php 
  class DB extends DBmysql { 
- var $dbhost	= '192.168.100.1'; 
- var $dbuser 	= 'glpiu'; 
- var $dbpassword= 'F2D6nxPRA6HC'; 
- var $dbdefault	= 'glpi'; 
+ var $dbhost	= '192.168.100.1';
+ var $dbuser 	= 'glpiu';
+ var $dbpassword= 'F2D6nxPRA6HC';
+ var $dbdefault	= 'glpi';
  } 
  ?>
\ No newline at end of file
diff --git a/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp b/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp
index 0d3f35e..289dff9 100644
Binary files a/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp and b/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp differ
diff --git a/htdocs/epack/abuledu-recette.odt b/htdocs/epack/abuledu-recette.odt
index b0402fa..37a4904 100644
Binary files a/htdocs/epack/abuledu-recette.odt and b/htdocs/epack/abuledu-recette.odt differ
diff --git a/htdocs/epack/export/checksum b/htdocs/epack/export/checksum
index ab49e2e..7a60980 100644
Binary files a/htdocs/epack/export/checksum and b/htdocs/epack/export/checksum differ
diff --git a/htdocs/epack/export/checksum.md5 b/htdocs/epack/export/checksum.md5
index ec53907..083402d 100644
--- a/htdocs/epack/export/checksum.md5
+++ b/htdocs/epack/export/checksum.md5
@@ -1 +1 @@
-d20b0217376ede103782dbd87e825744  checksum
+c4515eb448b0d257ca60eedf0407c37e  checksum
diff --git a/htdocs/epack/header.php b/htdocs/epack/header.php
index b5d7423..676f61a 100644
--- a/htdocs/epack/header.php
+++ b/htdocs/epack/header.php
@@ -50,9 +50,15 @@ echo "		<div id=\"page\">
 			<h2>Liens rapides</h2>
 				<ul>
 					<li><a href=\"http://www.abuledu.net/epack/new/\">Enregistrement d'un epack</a></li>
+					<li><a href=\"http://www.abuledu.net/epack/commande/\">Accès grossistes</a></li>
 					<li><a href=\"https://secure.ryxeo.com/glpi/index2.php\">Accès partenaires</a></li>
-					<li><a href=\"/forget.php\">Demander un mot de passe</a></li>
-				</ul>
+					<li><a href=\"/forget.php\">Demander un mot de passe</a></li>\n";
+
+if(isset($_SESSION)) {
+  echo "					<li><a href=\"" . $_SERVER['PHP_SELF'] . "?reset=true\">Fermer la session</a></li>\n";
+ }
+
+echo "				</ul>
 			</div>
 <div id=\"nav_connexion\">
 <h2>Connexion</h2>
diff --git a/htdocs/epack/new.php b/htdocs/epack/new.php
index c733eec..ccc1a37 100644
--- a/htdocs/epack/new.php
+++ b/htdocs/epack/new.php
@@ -190,7 +190,7 @@ WHERE FK_users='" . $_SESSION['login_id'] . "'";
 <h3>Vous</h3>
 <p>Nom: " . $_SESSION['login_name'] . "</p>
 <p>Entreprise: " . $_SESSION['login_entreprise'] . "</p>
-<p>Une erreur ? <a href=\"supportteam@ryxeo.com\">contactez-nous</a></p>
+<p>Une erreur ? <a href=\"mailto:supportteam@ryxeo.com\">contactez-nous</a></p>
 </div>
 
 <div>
@@ -359,7 +359,7 @@ WHERE FK_users='" . $_SESSION['login_id'] . "'";
 <h3>Vous</h3>
 <p>Nom: " . $_SESSION['login_name'] . "</p>
 <p>Entreprise: " . $_SESSION['login_entreprise'] . "</p>
-<p>Une erreur ? <a href=\"supportteam@ryxeo.com\">contactez-nous</a></p>
+<p>Une erreur ? <a href=\"mailto:supportteam@ryxeo.com\">contactez-nous</a></p>
 </div>
 
 <div>
@@ -525,7 +525,7 @@ abuledu.net
 
       }
       else {
-	$message .= "<p><font color=\"red\">Erreur de création du compte, <a href=\"supportteam@ryxeo.com\">contactez nous</a>.</font></p>\n";
+	$message .= "<p><font color=\"red\">Erreur de création du compte, <a href=\"mailto:supportteam@ryxeo.com\">contactez nous</a>.</font></p>\n";
       }
     }
   }
@@ -545,7 +545,7 @@ if($_SESSION['epack_session'] == 1) {
       //pack deja utilise ?
       if($data['FK_activation'] > 0) {
 	unset($_SESSION['epack_session']);
-	$message .= "<p><font color=\"red\">Erreur, ce packs a déjà été utilisé !!! Si vous pensez que ce n'est pas le cas, <a href=\"supportteam@ryxeo.com\">contactez nous</a>.</font></p>\n";
+	$message .= "<p><font color=\"red\">Erreur, ce packs a déjà été utilisé !!! Si vous pensez que ce n'est pas le cas, <a href=\"mailto:supportteam@ryxeo.com\">contactez nous</a>.</font></p>\n";
       }
       else {
 	$_SESSION['epack_session'] = 2;
diff --git a/htdocs/epack/register.php b/htdocs/epack/register.php
index 7f81aba..dfd03a7 100644
--- a/htdocs/epack/register.php
+++ b/htdocs/epack/register.php
@@ -7,6 +7,7 @@ $send_mail = 0; //flag pour savoir s'il faut envoyer un mail (en bref a toute in
 
 function make_pdf($pass,$code,$datapost) {
   global $message;
+  global $login_email;
   require_once('lib/odf.php');
   $odf = new odf("abuledu-base_genere_automatiquement_enregistrement_epack.odp");
    
@@ -88,7 +89,7 @@ Tel: 05 35 54 01 18";
   $hdrs = array(
 	      'From'    => 'contact@ryxeo.com',
               'Subject' => mb_encode_mimeheader("[AbulEdu] Fiche d'installation " . $datapost['INAME']),
-	      'BCC'     => 'contact@ryxeo.com'
+	      'BCC'     => 'contact@ryxeo.com, supportteam@ryxeo.com'
 		);
   $mime = new Mail_mime($crlf);
   $mime->setTXTBody($txtmail);
@@ -96,7 +97,19 @@ Tel: 05 35 54 01 18";
   $body = $mime->get(array('text_charset' => 'utf-8'));
   $hdrs = $mime->headers($hdrs);
   $mail =& Mail::factory('mail');
-  $mail->send($datapost['REMAIL'], $hdrs, $body);
+  
+  if(trim($datapost['REMAIL']) == "") {
+    if(trim($login_email) != "") {
+      $mail->send($login_email, $hdrs, $body);
+    }
+    else {
+      //On cherche le mail associe a ce pack ?
+      $mail->send("contact@ryxeo.com", $hdrs, $body);
+    }
+  }
+  else {
+    $mail->send($datapost['REMAIL'], $hdrs, $body);
+  }
 }
 
 function send_mail_installation($pass,$code,$datapost) {
@@ -461,6 +474,7 @@ WHERE code='$code' AND password='$pass'";
     }
     //pack deja attribué à un serveur ?
     else if($data['FK_serveur'] > 0) {
+      //      make_conffiles($datapost['MAC0'],$pass,$code);
       if( strlen($mac0) == 12 && strlen($mac1) == 12) {
 	//Petite vérification, si c'est le même serveur qu'on a réinstallé x fois on laisse faire
 	$query2 = "SELECT * FROM glpi_computers WHERE os_license_number LIKE '" . $mac0 . "%' OR os_license_number LIKE '" . $mac1 . "%' ";
@@ -646,9 +660,15 @@ VALUES('" . $datapost['CPU'] . "','2','2','$idserver'),
 	make_pdf($pass,$code,$datapost);
 	send_mail_installation($pass,$code,$datapost);
 	 
-	$message .= "<li><font color=\"green\">Bravo</font> votre serveur est maintenant bien enregistré sur abuledu.net. Vous pouvez passer à l'étape de création automatique du <a href=\"recette.php\">cahier de recettes</a></li>\n";
-	$message .= "</ul>\n";
-
+	if(isset($datapost["MINIWEBADMIN"])) {
+	  $message .= "</ul>\n<p>Vous pouvez maintenant passer à l'étape suivante: <a href=\"/maj/\">la 1ere mise à jour de votre serveur.</a></p>\n";
+	  //le flag qui indique a miniwebadmin que le epack est enregistre
+	  $commande .= "\n touch /tmp/epack.ok \n";
+	}
+	else {
+	  $message .= "<li><font color=\"green\">Bravo</font> votre serveur est maintenant bien enregistré sur abuledu.net. Vous pouvez passer à l'étape de création automatique du <a href=\"recette.php\">cahier de recettes</a></li>\n";
+	  $message .= "</ul>\n";
+	}
       }
       else
 	$message .= "<li>Ajout du serveur sur anet: <font color=\"red\">ERROR</font></li>\n";