commit 7c12ea403c3a4aa07ac38f88c58ef76e0ed6889e
Author: root <root@anet>
Date:   Wed Jan 27 18:58:31 2016 +0100

    anet fonctionnel au 27.01.2016

diff --git a/htdocs/epack/register.php b/htdocs/epack/register.php
index c40307b..0ece20c 100644
--- a/htdocs/epack/register.php
+++ b/htdocs/epack/register.php
@@ -1,17 +1,24 @@
 <?php
-//AJAX CODE
+ini_set("display_errors", 0);
+ini_set("error_log","/tmp/php.log");
+error_reporting(E_NONE);
+
+$log_debug = 1; //flag pour savoir s'il faut ecrire les debug logs dans le fichier de logs
+$log_file = "/tmp/debug_anet.log";
 
+//AJAX CODE
 $commande = "";
 $message = "";
 $debug = "";
 $send_mail = 0; //flag pour savoir s'il faut envoyer un mail (en bref a toute insertion ou update de base)
 
+
 function make_pdf($pass,$code,$datapost) {
-  global $message;
+  global $message, $debug;
   global $login_email;
   require_once('lib/odf.php');
   $odf = new odf("abuledu-base_genere_automatiquement_enregistrement_epack.odp");
-   
+  
   //1ere page
   setlocale(LC_TIME, "fr_FR.UTF-8");
   //  $odf->setVars('date', strftime("%A %e %B %Y"));
@@ -74,6 +81,7 @@ function make_pdf($pass,$code,$datapost) {
   $fichier_pdf="archives/" . date("Y-m-d") . "-epack-register-" . $code . ".pdf";
 
   $odf->saveToDisk($fichier);
+  $debug .= " ==> Export PDF : $fichier\n";
   $t = exec("unoconv --server localhost --port 2002 -f pdf " . $fichier);
 
   //Ensuite il faut l'envoyer par email ...
@@ -177,6 +185,7 @@ Commentaires:
 
 --
 abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
+(register.php sur abuledu.net)
 
 ";
 
@@ -196,6 +205,7 @@ function verification_data() {
   $error = "";
   if(trim(strtolower($datapost['MAC0'])) == "") // || trim(strtolower($datapost['MAC1'])) == "" )
     $error .= "<li>Il manque une carte réseau dans ce serveur !</li>";
+
   if(trim($datapost['INAME'])        == "")
     $error .= "<li>Erreur sur le nom de l'installation</li>";
   if(trim($datapost['IADDRESS0'])    == "")
@@ -290,7 +300,7 @@ function add_user_and_update_link($usermail,$identity,$userlastname,$userfirstna
 
   if(trim($usermail) == "") {
     $message .= "<li><font color=\"red\">ERROR ($tag)</font> compte utilisateur sans adresse email ! $userlastname :: $userfirstname</li>\n";
-    return;
+    return -1;
   }
 
   $query = "SELECT * from glpi_users WHERE email='$usermail'";
@@ -348,12 +358,14 @@ function add_user_and_update_link($usermail,$identity,$userlastname,$userfirstna
 
 //Vite une session
 session_start();
+//print_r($_SESSION);
+
 if(trim($_GET['reset']) != "") {
   // Finalement, on détruit la session.
   session_destroy();
   header('Location: http://abuledu.net/epack/register/');
  }
-//print_r($_SESSION);
+
 //recupration des variables de l'url
 $g_http_request = $_SERVER['REQUEST_URI'];
 
@@ -441,24 +453,23 @@ if(isset($datapost["MINIWEBADMIN"]) && stripos($code, "-TESTS-")) {
   $commande .= "\n touch /tmp/epack.ok \n";
  }
 
-/*
-  if(trim($debug) != "" ) {
-  $message .= "<pre>
-  $debug
-  </pre>";
-  }
-*/
+$debug .= "<p>Du cote abuledu.net ... $g_http_request</p>\n";
 
-$debug .= "<p>Du cote abuledu.net ... $g_http_request</p>\n7";
+if($log_debug != "") {
+  if($fp = fopen($log_file,"a")) {
+    fwrite($fp, $debug);
+    fwrite($fp, "**********************************");
+    fwrite($fp, $message);
+    fwrite($fp, "**********************************");
+    fclose($fp);
+  }
+}
 
 //On ne fait pas tout le bazaaar, on teste / valide la procedure uniquement
 if(stripos($code, "-TESTS-")) {
   make_pdf($pass,$code,$datapost);
   send_mail_installation($pass,$code,$datapost);
- }
-//print_r($_SERVER);
-//On ne fait pas tout le bazaaar, on teste / valide la procedure uniquement
-if(stripos($code, "-TESTS-")) {
+
   $object = array();
   $object['message'] = "<h1>Enregistrement de votre serveur avec un ePack</h1>\n";
   $object['message'] .= $message;
@@ -468,6 +479,9 @@ if(stripos($code, "-TESTS-")) {
   return;
 }
 
+//erics special pour cemea la reunion
+//$datapost['MAC0'] = "00215e69371a";
+
 //print "<pre>";
 //print_r($datapost);
 //$message .= implode("::",$datapost);
@@ -544,8 +558,8 @@ WHERE code='$code' AND password='$pass'";
 	  add_user_and_update_link($datapost['ATICE_EMAIL'], $identityenduser,$datapost['ATICE_LASTNAME'],$datapost['ATICE_FIRSTNAME'],"Animateur TICE");
 	  
 	  make_conffiles($datapost['MAC0'],$pass,$code);
-
-
+	  make_pdf($pass,$code,$datapost);
+	  send_mail_installation($pass,$code,$datapost);
 	}
 	//Sinon, c'est louche, on informe ryxeo et on avertis l'utilisateur
 	else {
@@ -568,6 +582,7 @@ Informations brutes récoltées:
 
 --
 abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
+(register.php sur abuledu.net)
 
 ";
 	  ryxeo_mail("anet@ryxeo.com",$mail_content,"contact@ryxeo.com","Pack déjà activé plusieurs fois !");
@@ -684,7 +699,7 @@ VALUES('" . $datapost['CPU'] . "','2','2','$idserver'),
 	//Mail d'information a ryxeo + pdf au rvendeur
 	make_pdf($pass,$code,$datapost);
 	send_mail_installation($pass,$code,$datapost);
-	 
+	
 	if(isset($datapost["MINIWEBADMIN"])) {
 	  $message .= "</ul>\n<p>Vous pouvez maintenant passer à l'étape suivante: <a href=\"/maj/\">la 1ere mise à jour de votre serveur.</a></p>\n";
 	  //le flag qui indique a miniwebadmin que le epack est enregistre
@@ -726,6 +741,16 @@ if($send_mail) {
   @chmod("/tmp/update-anet",0666);
 }
 print serialize($object);
-//print_r($_SERVER);
+
+if($log_debug != "") {
+  if($fp = fopen($log_file,"a")) {
+    fwrite($fp, $debug);
+    fwrite($fp, "=======================================");
+    fwrite($fp, $message);
+    fwrite($fp, "=======================================");
+    fclose($fp);
+  }
+}
 
 ?>
+