commit b069f62c8fd80ce207a1226bc5ae5c8c1ac6e003
Author: root <root@anet>
Date:   Mon Jul 1 20:09:27 2013 +0200

    petite actualisation, ajout du fichier odp en pj des mails

diff --git a/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp b/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp
index 289dff9..305d7a6 100644
Binary files a/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp and b/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack.odp differ
diff --git a/htdocs/epack/export/checksum b/htdocs/epack/export/checksum
index 116bb75..47f6f9f 100644
Binary files a/htdocs/epack/export/checksum and b/htdocs/epack/export/checksum differ
diff --git a/htdocs/epack/export/checksum.md5 b/htdocs/epack/export/checksum.md5
index 5fad238..a0afc48 100644
--- a/htdocs/epack/export/checksum.md5
+++ b/htdocs/epack/export/checksum.md5
@@ -1 +1 @@
-53577fbb5516790cfad56eca3b16241e  checksum
+78310e8f3bb280084faf9f0e1d7810d0  checksum
diff --git a/htdocs/epack/register.php b/htdocs/epack/register.php
index 55b1df6..df5439f 100644
--- a/htdocs/epack/register.php
+++ b/htdocs/epack/register.php
@@ -94,6 +94,7 @@ Tel: 05 35 54 01 18";
   $mime = new Mail_mime($crlf);
   $mime->setTXTBody($txtmail);
   $mime->addAttachment($fichier_pdf, mime_content_type($fichier_pdf));
+  $mime->addAttachment($fichier, mime_content_type($fichier));
   $body = $mime->get(array('text_charset' => 'utf-8'));
   $hdrs = $mime->headers($hdrs);
   $mail =& Mail::factory('mail');
@@ -314,7 +315,7 @@ function add_user_and_update_link($usermail,$identity,$userlastname,$userfirstna
 	}
       }
       else {
-	$message .= "<li>Tentative de lien avec l'entité racine refusée pour $usermail: <font color=\"red\">ERROR</font></li>\n";
+	$message .= "<li>Tentative de lien avec l'entité racine($identity) refusée pour $usermail: <font color=\"red\">ERROR</font></li>\n";
 	//$message .= "<li>$query2</li>\n";
       }
     }
@@ -520,6 +521,9 @@ WHERE code='$code' AND password='$pass'";
 	    $data1 = $DB->fetch_assoc($result1);
 	    $identityenduser = $data1['ID'];
 	  }
+	  else {
+	    //$message .= "<p>Erreur : $query1</p>";
+	  }
 	  //$message .= "<li>Entity: $query1</li>\n";
 	  add_user_and_update_link($datapost['IEMAIL'], $identityenduser,$datapost['INAME'],$datapost['ICITY'],"Installation");
 	  add_user_and_update_link($datapost['ADM_EMAIL'], $identityenduser,$datapost['ADM_LASTNAME'],$datapost['ADM_FIRSTNAME'],"Directrice ou directeur");
diff --git a/htdocs/forget.php b/htdocs/forget.php
index 99bec6c..4f197d7 100644
--- a/htdocs/forget.php
+++ b/htdocs/forget.php
@@ -89,7 +89,7 @@ echo "		<div id=\"page\">
               <li><a href=\"http://forum.abuledu.org/\" id=\"navbar_forum\" title=\"Les forums\" class=\"ttip\">Forums</a></li>
               <li><a href=\"http://planete.abuledu.org/\" id=\"navbar_actu\" title=\"Suivez toute l'actualité du projet AbulÉdu sur la planète\" class=\"ttip\">Planète</a></li>
               <li><a href=\"http://www.abuledu.com/\" id=\"navbar_aepro\" title=\"AbulEdu.PRO vous propose un certain nombre de services professionnels.\" class=\"ttip\">Services PRO</a></li>
-              <li id=\"active\"><a href=\"http://www.abuledu.net/\" id=\"navbar_anet\" title=\"AbulEdu.NET vous permet de gérer vos demandes d'interventions ou de superviser votre parc de serveurs. Ce service n'est disponible qu'aux abonnés au service AbulEdu.NET\" class=\"ttip\">AbulEdu.NET</a></li>
+              <li id=\"active\"><a href=\"http://support.abuledu.net/\" id=\"navbar_anet\" title=\"AbulEdu.NET vous permet de gérer vos demandes d'interventions ou de superviser votre parc de serveurs. Ce service n'est disponible qu'aux abonnés au service AbulEdu.NET\" class=\"ttip\">AbulEdu.NET</a></li>
               <li><a href=\"http://servecole.abuledu.info/admin.php\" id=\"navbar_webadmin\" title=\"Administration de votre serveur AbulÉdu. Attention, Cet outil n'est accessible que si vous êtes à l'interieur d'un réseau AbulÉdu !\" class=\"ttip\">WebAdmin</a></li>
 		</ul>
 		<p>&nbsp;</p>
@@ -99,7 +99,7 @@ echo "		<div id=\"page\">
 		<div id=\"navWiki\">
 			<h2>Liens rapides</h2>
 				<ul>
-					<li><a href=\"http://www.abuledu.net/epack/new\">Enregistrement d'un epack</a></li>
+					<li><a href=\"http://support.abuledu.net/epack/new\">Enregistrement d'un epack</a></li>
 					<li><a href=\"https://secure.ryxeo.com/glpi/index2.php\">Accès partenaires</a></li>
 					<li><a href=\"/forget.php\">Demander un mot de passe</a></li>
 				</ul>
@@ -108,7 +108,7 @@ echo "		<div id=\"page\">
 <h2>Connexion</h2>
 			<div id=\"user_top_bar\">
 				<div id=\"box_unlogged\" class=\"identification_box\">
-					<li><a href=\"http://www.abuledu.net/aide.pdf\">Aide AbulEdu.NET 2009</a></li>
+					<li><a href=\"http://support.abuledu.net/aide.pdf\">Aide AbulEdu.NET 2009</a></li>
 				</div>
 			</div>
 </div>
@@ -203,13 +203,13 @@ sur la plate-forme de suivi abuledu.net:
 
  - Votre identifiant:    $login
  - Votre mot de passe:   $password
- - Adresse de connexion: http://www.abuledu.net/
+ - Adresse de connexion: http://support.abuledu.net/
 
 Lorsque vous serez sur le site internet en question vous pourrez télécharger
 un fichier d'aide (présent dans le menu gauche du site).
 
 Nous vous conseillons d'utiliser le navigateur libre firefox pour accéder à
-abuledu.net
+support.abuledu.net
 
 Cordialement,
 RyXéo
diff --git a/htdocs/login.php b/htdocs/login.php
index 469ea6f..82dfe75 100644
--- a/htdocs/login.php
+++ b/htdocs/login.php
@@ -248,7 +248,7 @@ if (!isset ($_POST["noAUTO"]) && $auth_method=checkAlternateAuthSystems()) {
 
 	  SimpleHeader("Erreur");
 	  print "<p>Vous ne devriez pas utiliser cette interface, votre compte vous donne accès à plus de choses que le simple suivi des interventions !</p>";
-	  print "<p>Retournez sur <a href=\"http://www.abuledu.net\">abuledu.net</a> et utilisez un compte utilisateur standard ou <a href=\"https://secure.ryxeo.com/glpi/index2.php\">connectez-vous sur la version complète d'AbulÉdu.NET</a>.</p>";
+	  print "<p>Retournez sur <a href=\"http://support.abuledu.net\">abuledu.net</a> et utilisez un compte utilisateur standard ou <a href=\"https://secure.ryxeo.com/glpi/index2.php\">connectez-vous sur la version complète d'AbulÉdu.NET</a>.</p>";
 	  nullFooter();
 
 	}