commit 5acb71ae8b868dd4260c01c12b3564d0c11b4d85
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Sun Jun 10 15:34:24 2012 +0200

    debian stuff

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..4266f36
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+ryxeo-webphotoalbum (0.9.9~ryxeo1) lucid; urgency=low
+
+  * Premiere version
+
+ -- Eric Seigne <eric.seigne@ryxeo.com>  Sun, 10 Jun 2012 15:34:11 +0200
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..9e36cc7
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,13 @@
+Source: ryxeo-webphotoalbum
+Section: office
+Priority: extra
+Maintainer: Eric Seigne <eric.seigne@ryxeo.com>
+Build-Depends: cdbs, qt4-qmake, libqt4-dev, libexiv2-dev
+Standards-Version: 3.8.3
+Homepage: http://www.ryxeo.com
+
+Package: ryxeo-webphotoalbum
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: RyXeo WebPhotoAlbum
+ Un petit outil pour creer des albums photos sur internet
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..5371d93
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,16 @@
+Copyright (C) 2011 Eric Seigne <eric.seigne@ryxeo.com>
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; version 2 of the License.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+see /usr/share/common-licenses/GPL-2 for the complete text of the license.
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..c60fd44
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+case $1 in
+    configure)
+	xdg-desktop-menu install --novendor /usr/share/applications/ryxeo-webphotoalbum.desktop
+
+	;;
+    *)
+	true
+	;;
+esac
+
+#DEBHELPER#
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..08cf458
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+xdg-desktop-menu uninstall /usr/share/applications/ryxeo-webphotoalbum.desktop
+
+#DEBHELPER#
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..71ca578
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,26 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/qmake.mk
+
+# Add here any variable or target overrides you need.
+QMAKE=qmake-qt4
+CFLAGS=-O3
+CXXFLAGS=-O3
+DEST=/usr/share/ryxeo-webphotoalbum
+EXECDEST=/usr/lib/ryxeo-webphotoalbum
+BUILDTEMP=$(CURDIR)/debian/ryxeo-webphotoalbum
+
+install/ryxeo-webphotoalbum::
+	mkdir -p $(BUILDTEMP)/usr/bin/
+	mkdir -p $(BUILDTEMP)/$(EXECDEST)
+	mkdir -p $(BUILDTEMP)/$(EXECDEST)/lang
+	#mkdir -p $(BUILDTEMP)/$(DEST)/conf
+	#mkdir -p $(BUILDTEMP)/$(DEST)/data
+	mkdir -p $(BUILDTEMP)/usr/share/applications
+	cp -a $(BUILDTEMP).wrapper $(BUILDTEMP)/usr/bin/ryxeo-webphotoalbum
+	cp -a $(CURDIR)/debian/*.desktop $(BUILDTEMP)/usr/share/applications/
+	cp -a $(CURDIR)/images/ryxeo-webphotoalbum-48.png $(BUILDTEMP)/$(DEST)
+	#cp -a $(CURDIR)/lang/*.qm $(BUILDTEMP)/$(EXECDEST)/lang
+	#cp -a $(CURDIR)/data/* $(BUILDTEMP)/$(DEST)/data
+	cp -a $(CURDIR)/ryxeo-webphotoalbum $(BUILDTEMP)/$(EXECDEST)/
diff --git a/debian/ryxeo-webphotoalbum.desktop b/debian/ryxeo-webphotoalbum.desktop
new file mode 100644
index 0000000..74bb6dd
--- /dev/null
+++ b/debian/ryxeo-webphotoalbum.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=RyXeo Web Photo Album
+Comment=Un outil pour créer des albums photos sur internet
+Exec=ryxeo-webphotoalbum
+Icon=/usr/share/ryxeo-webphotoalbum/ryxeo-webphotoalbum-48.png
+Terminal=false
+Type=Application
+Categories=Internet
diff --git a/debian/ryxeo-webphotoalbum.wrapper b/debian/ryxeo-webphotoalbum.wrapper
new file mode 100755
index 0000000..1f42a0f
--- /dev/null
+++ b/debian/ryxeo-webphotoalbum.wrapper
@@ -0,0 +1,13 @@
+#!/bin/bash
+# application launcher
+APPNAME=ryxeo-webphotoalbum
+EXENAME=ryxeo-webphotoalbum
+(
+    if [ -d /usr/share/${APPNAME} ]; then
+	cd /usr/share/${APPNAME}
+    fi
+    if [ -f /usr/lib/${APPNAME}/libQtCore.so.4 ]; then
+	export LD_LIBRARY_PATH=/usr/lib/${APPNAME}
+    fi
+    exec /usr/lib/${APPNAME}/${EXENAME}
+)