commit 84a3aa0e711a8a5a950f184d25f928366439defb
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Fri Apr 23 18:31:44 2010 +0200

    fin des tests epack 9.08.2

diff --git a/htdocs/epack/register.php b/htdocs/epack/register.php
index a1b5ad9..7f81aba 100644
--- a/htdocs/epack/register.php
+++ b/htdocs/epack/register.php
@@ -218,11 +218,20 @@ function verification_data() {
 function make_conffiles($login,$pass,$code) {
   global $commande;
   $codecrypt = md5($pass);
-  $commande .= "  echo \"" . $login . ";dip.abuledu.net;http://dip.abuledu.net/gnudip/cgi-bin/gdipupdt.cgi;" . $codecrypt . ";/home/abecmd/.GnuDIP2.cache." . $login  . ".dip.abuledu.net;0;2073600\" > ~abecmd/.GnuDIP2
+
+  //Si c'est un serveur de tests on ne cree surtout pas le fichier gdipc pour eviter que apt essaye
+  //de passer en mode authentifie, on demandera donc le login/pass rvd a chaque upgrade
+  if(stripos($code, "-TESTS-")) {
+    $commande .= "";
+  }
+  else {
+    $commande .= "  echo \"" . $login . ";dip.abuledu.net;http://dip.abuledu.net/gnudip/cgi-bin/gdipupdt.cgi;" . $codecrypt . ";/home/abecmd/.GnuDIP2.cache." . $login  . ".dip.abuledu.net;0;2073600\" > ~abecmd/.GnuDIP2
   chmod 600 ~abecmd/.GnuDIP2
   chown abecmd:admin ~abecmd/.GnuDIP2
-  su - abecmd gdipc
-  mkdir ~abecmd/.ssh || true
+  su - abecmd gdipc\n";
+  }
+
+  $commande .= "  mkdir ~abecmd/.ssh || true
   echo \"ssh-dss AAAAB3NzaC1kc3MAAACBAPM3DKuDXuSsQgPeBNO/jBEAd28smHqYVAODRwshfI04/rFvwh/A+7UZ2H/QnZOn6XLS/3R4yPp/QdGKEJ0BCHDd2fLIuS6ZLDHoHdQRBFzEAXP1SE1Yyp9c1pKnWeke6oK6196yKpE2aWBRv9kma+KoPhz7mpt6KHISow+yYV/PAAAAFQDFCotxKtxherzuwzVbeXmiOGQ3EwAAAIEAq+KXzJUt13h5QvM7u0O3mbDGD6YY9avMYqFk8StJ4DoFpSfeiwvNynoDsAE2qLTje7hbs+UO4Ns1lCLhh4R4T9wdLodTRVfizvqjZhmhOGfTHUjX9qi+dTs7c0mtqZz89ZZSqJsnMb9I1Ifj0H++MOswa7qp1cFxzUYtlew128QAAACAXve21Gn+gD7GXhvLIMq7bq6/ECjcjoBQcpLF72Z3tAsd0i0Scv1eydsUiee47pr3o4fJToQAr3iFQX6zWnDaw4htg3cZAMzfuvXxuWBcDoQ2qjYAk1A/FoJM7z5pPZXnWQZ+Vq+HfsW8W7EHztVgoZ/Xj/10webHjcL8CzFGWU4= remoteabecmd@Timide
 ssh-dss AAAAB3NzaC1kc3MAAACBAIyAzv1X8Hy8r8QiJAmhlDs9INd0jCpYNk5OxBDYA1/qdmKVqVMwKACvZg8xigRBg4e5PMsgpGQf9OxHTlhIiqAjwxmi7tHAy1t1fHuqDCZmqpQG5banOPvr4R5w4q47jKAJNqRsofgZACQKo8KkSHxY5VWZNx5bOfZYdEcWcNqpAAAAFQCXElvdvY+/aILI5a1z4fKRybA7GQAAAIB+5v/foiMKyZ+JEocToPIj2fP4mH7o8xnA1T8HKUGOiutxT/TWT4OnUMmquA/XVdzOyJ/tEeznfUDvlJZzKtFoW75ftQ8Or0AJj68jGQQ3wxQW5TXKuOCoo4vdf0ZQ+ASbzY1ECdxiQEB5kWusWbpes/eyTzDzjpUjMfR2JS5+rAAAAIAksQfdasobfpGuqLIvHBpgSFyas9J6EguBQVauNyLy7IE/WmAN1zgbYvBVU7KY3WUr5pgum9GcExCfnGH/qW7zR7M5zbZdOwq2W4AphXibkf+YbB2q1BouigbUzCiA54wa6XArtHsx0PpzyToHjAplnI4O5DhJ1SQNHClLbfA9Gw== erics@hurlevent
 \" > ~abecmd/.ssh/authorized_keys
@@ -246,13 +255,6 @@ echo RVD_EPACK_CODE=\\\"$code\\\" >> /etc/abuledu/rvd
   //L'identification du revendeur ... a améliorer
   $commande .= make_rvd_conffile();
 
-  //Si c'est un serveur de tests on ne cree surtout pas le fichier gdipc pour eviter que apt essaye
-  //de passer en mode authentifie, on demandera donc le login/pass rvd a chaque upgrade
-  if(stripos($code, "-TESTS-")) {
-    $commande .= "
-rm -f ~abecmd/.GnuDIP2
-";
-  }
   //Il faudrait egalement faire la base pour OCS-NG et les remontees automatiques ... on utilisera le code du epack 
 }
 
@@ -393,8 +395,8 @@ include ("ryxeo.php");
 include('Mail.php');
 include('Mail/mime.php');
 
-//Si epack ryxeo
-if(stripos($code, "-TESTS-")) {
+//Si epack ryxeo de tests
+if(stripos($code, "RYXEO-TESTS-")) {
   if(is_array($datapost)) {
     $k = array_keys($datapost);
     for($i = 0; $i < count($k); $i++) {
@@ -403,7 +405,7 @@ if(stripos($code, "-TESTS-")) {
     }
   }
  }
-if(isset($datapost["MINIWEBADMIN"])) {
+if(isset($datapost["MINIWEBADMIN"]) && stripos($code, "-TESTS-")) {
   $message .= "<p><h2>Vous pouvez maintenant passer à l'étape suivante: <a href=\"/maj/\">la 1ere mise à jour de votre serveur.</a></h2></p>\n";
   //le flag qui indique a miniwebadmin que le epack est enregistre
   $commande .= "\n touch /tmp/epack.ok \n";
@@ -420,15 +422,15 @@ if(stripos($code, "-TESTS-")) {
   make_pdf($pass,$code,$datapost);
   send_mail_installation($pass,$code,$datapost);
  }
-$object = array();
-$object['message'] = "<h1>Enregistrement de votre serveur avec un ePack</h1>\n";
-$object['message'] .= $message;
-$object['command'] = $commande;
-  
-print serialize($object);
 //print_r($_SERVER);
 //On ne fait pas tout le bazaaar, on teste / valide la procedure uniquement
 if(stripos($code, "-TESTS-")) {
+  $object = array();
+  $object['message'] = "<h1>Enregistrement de votre serveur avec un ePack</h1>\n";
+  $object['message'] .= $message;
+  $object['command'] = $commande;
+  
+  print serialize($object);
   return;
 }
 
@@ -439,7 +441,6 @@ if(stripos($code, "-TESTS-")) {
 //reset ...
 //print_r($_SESSION);
 //unset($_SESSION['epack_session']);
-
 if(trim($pass) != "" && trim($code) != "") {
   $query = "SELECT * FROM glpi_plugin_anet_epacks
 LEFT JOIN glpi_entities AS g ON FK_client=g.ID
@@ -668,7 +669,7 @@ VALUES('" . $datapost['CPU'] . "','2','2','$idserver'),
  }
 
 $object = array();
-if($message == "")
+if(trim($message) == "")
   $message .= "<p><font color=\"red\">Erreur non prévue, merci de contacter RyXéo sans tarder...</font></p>";
 $object['message'] = "<h1>Enregistrement de votre serveur avec un ePack</h1>\n";
 $object['message'] .= $message;