commit af89ba3580682cab180b77099d8ad96af56a1a97
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Fri Aug 6 11:15:11 2010 +0200

    le gris etait trop clair

diff --git a/plugins/pdf/inc/plugin_pdf.functions.php b/plugins/pdf/inc/plugin_pdf.functions.php
index cd167f7..a7ccee0 100644
--- a/plugins/pdf/inc/plugin_pdf.functions.php
+++ b/plugins/pdf/inc/plugin_pdf.functions.php
@@ -206,7 +206,7 @@ function plugin_pdf_config_computer($tab,$width,$ID){
 	  {
 	    //erics pour avoir la couleur une ligne sur deux
 	    if($i%2){
-	      $pdf->setColor(0.95,0.95,0.95);
+	      $pdf->setColor(0.90,0.90,0.90);
 	    }
 	    else {
 	      $pdf->setColor(1,1,1);
@@ -305,7 +305,7 @@ function plugin_pdf_config_software($tab,$width,$ID){
 	$pdf->setColor(0.8,0.8,0.8);
 	$pdf->filledRectangle(25,$start_tab-5,$length_tab,15);
 	$pdf->filledRectangle(25+$length_tab+5,$start_tab-5,$length_tab,15);
-	$pdf->setColor(0.95,0.95,0.95);
+	$pdf->setColor(0.90,0.90,0.90);
 	
 	for($i=0;$i<7;$i++)
 		{
@@ -404,13 +404,13 @@ function plugin_pdf_device($tab,$width,$ID,$type){
 
 		//erics pour avoir la couleur une ligne sur deux
 		if($i%2){
-		  $pdf->setColor(0.95,0.95,0.95);
+		  $pdf->setColor(0.90,0.90,0.90);
 		}
 		else {
 		  $pdf->setColor(1,1,1);
 		}
 		
-		//$pdf->setColor(0.95,0.95,0.95);
+		//$pdf->setColor(0.90,0.90,0.90);
 		//un seul rectangle qui fait toute la ligne
 		$pdf->filledRectangle(25,$start_tab-20-(15*$i),$width-50,15);
 		$pdf->restoreState();
@@ -613,7 +613,7 @@ function plugin_pdf_licenses($tab,$width,$ID,$show_computers,$type){
 				$num_inst=$DB->numrows($result_inst);
 				
 				$pdf->saveState();
-				$pdf->setColor(0.95,0.95,0.95);
+				$pdf->setColor(0.90,0.90,0.90);
 				$pdf->filledRectangle(25,($start_tab-25)-(20*$i),100,15);
 				$pdf->filledRectangle(130,($start_tab-25)-(20*$i),90,15);
 				$pdf->filledRectangle(225,($start_tab-25)-(20*$i),30,15);
@@ -661,7 +661,7 @@ function plugin_pdf_licenses($tab,$width,$ID,$show_computers,$type){
 						$computer->getFromDB($data_inst["cID"]);
 					
 						$pdf->saveState();
-						$pdf->setColor(0.95,0.95,0.95);
+						$pdf->setColor(0.90,0.90,0.90);
 						$pdf->filledRectangle(415,($start_tab-25)-(20*$i),155,15);
 						$pdf->restoreState();
 						$pdf->addText(420,($start_tab-20)-(20*$i),9,utf8_decode($name.' ('.$computer->fields['serial'].')'));
@@ -766,7 +766,7 @@ function plugin_pdf_software($tab,$width,$ID,$type){
 			$sw->getFromDB($data['sID']);
 			
 			$pdf->saveState();
-			$pdf->setColor(0.95,0.95,0.95);
+			$pdf->setColor(0.90,0.90,0.90);
 			$pdf->filledRectangle(25,($start_tab-25)-(20*$i),385,15);
 			$pdf->filledRectangle(415,($start_tab-25)-(20*$i),65,15);
 			$pdf->filledRectangle(485,($start_tab-25)-(20*$i),40,15);
@@ -861,7 +861,7 @@ function plugin_pdf_connection($tab,$width,$ID,$type){
 					$info->getFromDBforDevice($type,$tID) || $info->getEmpty();
 
 					$pdf->saveState();
-					$pdf->setColor(0.95,0.95,0.95);
+					$pdf->setColor(0.90,0.90,0.90);
 					if ($ci->getField("otherserial")!=null || $info->fields["num_immo"]) {
 						$pdf->filledRectangle(25,($start_tab-45)-(20*$i),$width-50, 35);
 					} else {
@@ -895,7 +895,7 @@ function plugin_pdf_connection($tab,$width,$ID,$type){
 			} else { // No row	
 					
 				$pdf->saveState();
-				$pdf->setColor(0.95,0.95,0.95);
+				$pdf->setColor(0.90,0.90,0.90);
 				$pdf->filledRectangle(25,($start_tab-25)-(20*$i),$width-50,15);
 				$pdf->restoreState();
 
@@ -977,7 +977,7 @@ function plugin_pdf_port($tab,$width,$ID,$type){
 					if(!($nb_connect==1 && $j==7)){
 					$pdf->saveState();
 					if($j<7)
-						$pdf->setColor(0.95,0.95,0.95);
+						$pdf->setColor(0.90,0.90,0.90);
 					else
 						$pdf->setColor(0.8,0.8,0.8);
 					$pdf->filledRectangle(25,($start_tab-25)-(20*($deb+$i)),$width-50,15);
@@ -1077,7 +1077,7 @@ function plugin_pdf_financial($tab,$width,$ID,$type){
 	$pdf->saveState();
 	$pdf->setColor(0.8,0.8,0.8);
 	$pdf->filledRectangle(25,$start_tab-5,2*$length_tab+5,15);
-	$pdf->setColor(0.95,0.95,0.95);
+	$pdf->setColor(0.90,0.90,0.90);
 	
 	for($i=0;$i<11;$i++)
 		{
@@ -1196,7 +1196,7 @@ function plugin_pdf_contract($tab,$width,$ID,$type){
 		$con->getFromDB($cID);
 		
 		$pdf->saveState();
-		$pdf->setColor(0.95,0.95,0.95);
+		$pdf->setColor(0.90,0.90,0.90);
 		$pdf->filledRectangle(25,($start_tab-25)-(20*$i),100,15);
 		$pdf->filledRectangle(130,($start_tab-25)-(20*$i),100,15);
 		$pdf->filledRectangle(235,($start_tab-25)-(20*$i),100,15);
@@ -1304,7 +1304,7 @@ function plugin_pdf_document($tab,$width,$ID,$type){
 	while ($data=$DB->fetch_assoc($result)) {
 		
 		$pdf->saveState();
-		$pdf->setColor(0.95,0.95,0.95);
+		$pdf->setColor(0.90,0.90,0.90);
 		$pdf->filledRectangle(25,($start_tab-25)-(20*$i),125,15);
 		$pdf->filledRectangle(155,($start_tab-25)-(20*$i),120,15);
 		$pdf->filledRectangle(280,($start_tab-25)-(20*$i),110,15);
@@ -1390,7 +1390,7 @@ function plugin_pdf_registry($tab,$width,$ID,$type){
 				$reg->getfromDB(current($regid));
 				
 				$pdf->saveState();
-				$pdf->setColor(0.95,0.95,0.95);
+				$pdf->setColor(0.90,0.90,0.90);
 				$pdf->filledRectangle(25,($start_tab-25)-(20*$i),130,15);
 				$pdf->filledRectangle(160,($start_tab-25)-(20*$i),130,15);
 				$pdf->filledRectangle(295,($start_tab-25)-(20*$i),140,15);
@@ -1476,7 +1476,7 @@ function plugin_pdf_ticket($tab,$width,$ID,$type){
 					if(!($number==1 && $j==8)){
 					$pdf->saveState();
 					if($j<8)
-						$pdf->setColor(0.95,0.95,0.95);
+						$pdf->setColor(0.90,0.90,0.90);
 					else
 						$pdf->setColor(0.8,0.8,0.8);
 					$pdf->filledRectangle(25,($start_tab-25)-(20*($deb+$i)),$width-50,15);
@@ -1583,7 +1583,7 @@ function plugin_pdf_oldticket($tab,$width,$ID,$type){
 					if(!($number==1 && $j==8)){
 					$pdf->saveState();
 					if($j<8)
-						$pdf->setColor(0.95,0.95,0.95);
+						$pdf->setColor(0.90,0.90,0.90);
 					else
 						$pdf->setColor(0.8,0.8,0.8);
 					$pdf->filledRectangle(25,($start_tab-25)-(20*($deb+$i)),$width-50,15);
@@ -1676,7 +1676,7 @@ function plugin_pdf_link($tab,$width,$ID,$type){
 		while ($data=$DB->fetch_assoc($result)){
 
 			$pdf->saveState();
-			$pdf->setColor(0.95,0.95,0.95);
+			$pdf->setColor(0.90,0.90,0.90);
 			$pdf->filledRectangle(25,($start_tab-25)-(20*$i),$width-50,15);
 			$pdf->restoreState();
 			
@@ -1824,7 +1824,7 @@ function plugin_pdf_note($tab,$width,$ID,$type){
 		while($j<$nbline)
 			{
 			$pdf->saveState();
-			$pdf->setColor(0.95,0.95,0.95);
+			$pdf->setColor(0.90,0.90,0.90);
 			if($j==0)
 				$pdf->filledRectangle(25,($start_tab-25)-(20*$i),$width-50,15);
 			else
@@ -1901,7 +1901,7 @@ function plugin_pdf_reservation($tab,$width,$ID,$type){
 		if ($DB->numrows($result)==0)
 			{	
 			$pdf->saveState();
-			$pdf->setColor(0.95,0.95,0.95);
+			$pdf->setColor(0.90,0.90,0.90);
 			$pdf->filledRectangle(25,($start_tab-25)-(20*$i),$width-50,15);
 			$pdf->restoreState();
 			$pdf->addText(265,($start_tab-20)-(20*$i),9,utf8_decode($LANG["reservation"][37]));
@@ -1939,7 +1939,7 @@ function plugin_pdf_reservation($tab,$width,$ID,$type){
 			while ($data=$DB->fetch_assoc($result))
 				{
 				$pdf->saveState();
-				$pdf->setColor(0.95,0.95,0.95);
+				$pdf->setColor(0.90,0.90,0.90);
 				$pdf->filledRectangle(25,($start_tab-25)-(20*$i),90,15);
 				$pdf->filledRectangle(120,($start_tab-25)-(20*$i),90,15);
 				$pdf->filledRectangle(215,($start_tab-25)-(20*$i),140,15);
@@ -1989,7 +1989,7 @@ function plugin_pdf_reservation($tab,$width,$ID,$type){
 		if ($DB->numrows($result)==0)
 			{	
 			$pdf->saveState();
-			$pdf->setColor(0.95,0.95,0.95);
+			$pdf->setColor(0.90,0.90,0.90);
 			$pdf->filledRectangle(25,($start_tab-25)-(20*$i),$width-50,15);
 			$pdf->restoreState();
 			$pdf->addText(265,$start_tab,9,utf8_decode($LANG["reservation"][37]));
@@ -2020,7 +2020,7 @@ function plugin_pdf_reservation($tab,$width,$ID,$type){
 			while ($data=$DB->fetch_assoc($result))
 				{
 				$pdf->saveState();
-				$pdf->setColor(0.95,0.95,0.95);
+				$pdf->setColor(0.90,0.90,0.90);
 				$pdf->filledRectangle(25,($start_tab-25)-(20*$i),90,15);
 				$pdf->filledRectangle(120,($start_tab-25)-(20*$i),90,15);
 				$pdf->filledRectangle(215,($start_tab-25)-(20*$i),140,15);
@@ -2178,7 +2178,7 @@ function plugin_pdf_history($tab,$width,$ID,$type){
 					
 			$pdf->saveState();
 			if($j<5)
-				$pdf->setColor(0.95,0.95,0.95);
+				$pdf->setColor(0.90,0.90,0.90);
 			else
 				$pdf->setColor(0.8,0.8,0.8);
 			$pdf->filledRectangle(25,($start_tab-25)-(20*($deb+$i)),$width-50,15);