commit 6fd1e9d91bfb95b7ed4cecc05720b1838dcb1a7d
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Sat Mar 27 18:26:11 2010 +0100

    fin de l'implementation abuledu 9.08.2

diff --git a/htdocs/epack/register.php b/htdocs/epack/register.php
index c7439b4..e280d81 100644
--- a/htdocs/epack/register.php
+++ b/htdocs/epack/register.php
@@ -5,6 +5,73 @@ $commande = "";
 $message = "";
 $send_mail = 0; //flag pour savoir s'il faut envoyer un mail (en bref a toute insertion ou update de base)
 
+
+function send_mail_installation($pass,$code,$datapost) {
+  $mail_content = "
+
+Bonjour,
+
+un nouveau serveur vient d'être inséré dans AbulÉdu.NET:
+
+Référence du ePack AbulÉdu:
+ - $pass
+ - $code
+
+Site de l'installation:
+ - Nom:           " .  addslashes($datapost['INAME']) . "
+ - Adresse:       " .  addslashes($datapost['IADDRESS0'] . " " . $datapost['IADDRESS1'] ) . "
+ - Code postal:   " .  addslashes($datapost['IPOSTALCODE']) . "
+ - Ville:         " .  addslashes($datapost['ICITY']) . "
+ - Pays:          " .  addslashes($datapost['ICOUNTRY']) . "
+ - Téléphone:     " .  addslashes($datapost['ITEL']) . "
+ - Adresse email: " .  addslashes($datapost['IEMAIL']) . "
+
+Serveur:
+ - Marque ou modèle:    " . $datapost['ISRV'] . "
+ - Numéro de série:     " . $datapost['ISERIAL'] . "
+ - Processeur:          " . $datapost['CPU'] . "
+ - Mémoire vive:        " . $datapost['RAM'] . "
+ - Disque dur 1:        " . $datapost['HDD0'] . "
+ - Disque dur 2:        " . $datapost['HDD1'] . "
+ - Carte réseau 1:      " . $datapost['MAC0'] . "
+ - Carte réseau 2:      " . $datapost['MAC1'] . "
+ - Date d'installation: " . $datapost['IDATE'] . "
+
+Mots de passe:
+ - root: " . $datapost['IROOT'] . "
+ - abuladmin: " . $datapost['IABE'] . "
+
+Installateur:
+ - Société:   " . $datapost['RCODE'] . "
+ - Nom:       " . $datapost['RNAME'] . "
+ - Téléphone: " . $datapost['RTEL'] . "
+ - Email:     " . $datapost['REMAIL'] . "
+
+Compte utilisateur:
+ - Nom:    " . $datapost['ADM_LASTNAME'] . "
+ - Prénom: " . $datapost['ADM_FIRSTNAME'] . "
+ - Email:  " . $datapost['ADM_EMAIL'] . "
+
+Compte personne ressource:
+ - Nom:    " . $datapost['PR_LASTNAME'] . "
+ - Prénom: " . $datapost['PR_FIRSTNAME'] . "
+ - Email:  " . $datapost['PR_EMAIL'] . "
+
+Compte ATICE:
+ - Nom:    " . $datapost['ATICE_LASTNAME'] . "
+ - Prénom: " . $datapost['ATICE_FIRSTNAME'] . "
+ - Email:  " . $datapost['ATICE_EMAIL'] . "
+
+Commentaires:
+" . $datapost["ICOMMENT"] . "
+
+--
+abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
+
+";
+  ryxeo_mail("anet@ryxeo.com",$mail_content,"contact@ryxeo.com","Nouveau serveur dans la base abuledu.net");
+}
+
 //Verifie si les donnees qu'on a en entree sont correctes sinon on saute ... direction webadmin/installation
 function verification_data() {
   global $datapost;
@@ -214,13 +281,32 @@ include (GLPI_ROOT . "/inc/includes.php");
 
 include ("ryxeo.php");
 
-//Si miniwebadmin on debug
-if(isset($datapost["MINIWEBADMIN"])) {
+//Si epack ryxeo
+if($code=="RYXEO-TESTS-2010") {
   $k = array_keys($datapost);
   for($i = 0; $i < count($k); $i++) {
     $key = $k[$i];
-    $message .= $key . "=" . $datapost[$key] . "<br>";
+    $debug .= $key . "=" . $datapost[$key] . "\n";
   }
+  
+  if(isset($datapost["MINIWEBADMIN"]))
+    $message .= "<p>Vous pouvez maintenant passer à l'étape suivante: <a href=\"/maj/\">la 1ere mise à jour de votre serveur.</a></p>\n";
+
+  $message .= "<pre>
+$debug
+</pre>";
+
+  //On ne fait pas tout le bazaaar, on teste / valide la procedure uniquement
+  send_mail_installation($pass,$code,$datapost);
+
+  $object = array();
+  $object['message'] = "<h1>Enregistrement de votre serveur avec un ePack</h1>\n";
+  $object['message'] .= $message;
+  $object['command'] = $commande;
+  
+  print serialize($object);
+  //print_r($_SERVER);
+  return;
  }
 
 //print "<pre>";
@@ -269,6 +355,9 @@ WHERE code='$code' AND password='$pass'";
 </ul>\n";
 	  $message .= "<p>Merci d'avoir enregistré ce serveur. Pour toute demande de modification, veuillez utiliser votre compte abuledu.net ou prendre <a href=\"mailto:contact@ryxeo.com\">contact avec RyXéo</a></p>";
 
+	  if(isset($datapost["MINIWEBADMIN"]))
+	    $message .= "<p>Vous pouvez maintenant passer à l'étape suivante: <a href=\"/maj/\">la 1ere mise à jour de votre serveur.</a></p>\n";
+
 	  //On incremente le compteur qui permettra de detecter les serveur tres souvent reinstalles
 	  $nbu = $data['nbused'] + 1;
 	  $query3 = "UPDATE glpi_plugin_anet_epacks SET nbused='$nbu' WHERE code='$code' AND password='$pass'";
@@ -427,58 +516,9 @@ VALUES('" . $datapost['CPU'] . "','2','2','$idserver'),
 	//On gerera ça sur les paiements des contrats associés
 	make_conffiles($datapost['MAC0'],$pass,$code);
 
-
-	//Mail d'information a ryxeo ...
-	$mail_content = "
-
-Bonjour,
-
-un nouveau serveur vient d'être inséré dans AbulÉdu.NET:
-
-Référence du ePack AbulÉdu:
- - $pass
- - $code
-
-Site de l'installation:
- - " .  addslashes($datapost['INAME']) . "
- - " .  addslashes($datapost['IADDRESS0'] . " " . $datapost['IADDRESS1'] ) . "
- - " .  addslashes($datapost['IPOSTALCODE']) . "
- - " .  addslashes($datapost['ICITY']) . "
- - " .  addslashes($datapost['ICOUNTRY']) . "
- - " .  addslashes($datapost['ITEL']) . "
- - " .  addslashes($datapost['IEMAIL']) . "
-
-Serveur:
- - " . $datapost['CPU'] . "
- - " . $datapost['RAM'] . "
- - " . $datapost['HDD0'] . "
- - " . $datapost['HDD1'] . "
- - " . $datapost['MAC0'] . "
- - " . $datapost['MAC1'] . "
-
-
-Compte utilisateur:
- - " . $datapost['ADM_EMAIL'] . "
- - " . $datapost['ADM_LASTNAME'] . "
- - " . $datapost['ADM_FIRSTNAME'] . "
-
-Compte personne ressource:
- - " . $datapost['PR_EMAIL'] . "
- - " . $datapost['PR_LASTNAME'] . "
- - " . $datapost['PR_FIRSTNAME'] . "
-
-
-Compte ATICE:
- - " . $datapost['ATICE_EMAIL'] . "
- - " . $datapost['ATICE_LASTNAME'] . "
- - " . $datapost['ATICE_FIRSTNAME'] . "
-
---
-abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
-
-";
-	ryxeo_mail("anet@ryxeo.com",$mail_content,"contact@ryxeo.com","Nouveau serveur inséré (à finir)");
-
+	//Mail d'information a ryxeo
+	send_mail_installation($pass,$code,$datapost);
+	
 	$message .= "<li><font color=\"green\">Bravo</font> votre serveur est maintenant bien enregistré sur abuledu.net. Vous pouvez passer à l'étape de création automatique du <a href=\"recette.php\">cahier de recettes</a></li>\n";
 	$message .= "</ul>\n";
 
@@ -487,7 +527,7 @@ abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
 	$message .= "<li>Ajout du serveur sur anet: <font color=\"red\">ERROR</font></li>\n";
     }
     else if ($data['activation_date'] == "0000-00-00") {
-      $message .= "<p><font color=\"red\">Erreur, ce packs n'a pas été activé !!! Vous devez activer votre ePack tout de suite à l'adresse suivante, <a href=\"http://www.abuledu.net/epack/new\">abuledu.net/epack/new</a>.</font></p>\n";
+      $message .= "<p><font color=\"red\">Erreur, ce packs n'a pas été activé !!! Vous devez activer votre ePack tout de suite à l'adresse suivante, <a href=\"http://www.abuledu.net/epack/new\" target=\"_blank\">abuledu.net/epack/new</a> comme indiqué sur la fiche ePack.</font></p>\n";
     }
     else {
       $message .= "<p><font color=\"red\">Erreur, ce pack a déjà été utilisé ou n'a pas encore été activé !!!</font></p>\n";